## kwalify 0.5.1

=== examples/address-book/Makefile ===

all:
	kwalify -lm address-book.schema.yaml
	kwalify -lf address-book.schema.yaml address-book.yaml

=== examples/invoice/Makefile ===
all:
	kwalify -lm invoice.schema.yaml
	kwalify -lf invoice.schema.yaml invoice.yaml

=== examples/tapkit/Makefile ===

all:
	kwalify -lm tapkit.schema.yaml
	kwalify -lf tapkit.schema.yaml tapkit.yaml

## kwalify 0.7.2

=== examples/address-book/Makefile ===

all:
	kwalify -lm address-book.schema.yaml
	kwalify -lf address-book.schema.yaml address-book.yaml
	kwalify -a genclass-ruby -lf address-book.schema.yaml > address-book.rb
#	kwalify -a genclass-java -lf address-book.schema.yaml


clean:
	rm -f address-book.rb

=== examples/tapkit/Makefile ===

all:
	kwalify -lm tapkit.schema.yaml
	kwalify -lf tapkit.schema.yaml tapkit.yaml
	kwalify -a genclass-ruby -lf tapkit.schema.yaml --module=Tapkit > tapkit.rb
#	kwalify -a genclass-java -lf tapkit.schema.yaml --package=tapkit


clean:
	rm -f tapkit.rb

=== debian/changelog ===
kwalify (0.7.2-9) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix field name typo in debian/copyright (Formats => Format).
  * Apply multi-arch hints.
    + kwalify: Add Multi-Arch: foreign.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 10 Nov 2020 12:39:00 +0900

kwalify (0.7.2-8) unstable; urgency=medium

  * Change method to launch Ruby tests to fix FTBFS (Closes: #897474).
    Seems to be a bug in gem2deb, needs more investigation. Thanks
    boutil for the workaround.
  * Bump Standards-Version to 4.2.1.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 06 Nov 2018 16:11:07 +0900

kwalify (0.7.2-7) unstable; urgency=medium

  * Use new gemwatch service.
  * Fix multiarch issue with Ruby dependency.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 18 Aug 2018 16:09:27 +0900

kwalify (0.7.2-6) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4.
  * Updated VCS URLs (Alioth->Salsa).
  * Switch to compat level 11.
  * Remove final dot in package short description.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 14 Apr 2018 18:11:54 +0900

kwalify (0.7.2-5) unstable; urgency=medium

  * Updated patch to fix tests (Closes: #882315).
  * Use HTTPS URLs in Debian metadata whenever possible.
  * Bumped Standards-Version.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 25 Dec 2017 16:32:30 +0900

kwalify (0.7.2-4) unstable; urgency=medium

  [ Marc Dequènes ]
  * Upgraded ancient gemspec, causing FTBFS (Closes: #828165)

  [ Cédric Boutillier ]
  * Bump Standards-Version to 3.9.7 (no further changes)
  * Updated Vcs information.
  * Removed versioning in gem2deb's build-dep.
  * Switched to compat level 9.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sun, 26 Jun 2016 06:30:35 +0200

kwalify (0.7.2-3) unstable; urgency=medium

  * Added patches: (Closes: #794140)
    - fix using the deprecated YAML.load_documents method.
    - fix missing quoting in test data.
    - fix hash manipulation in the metavalidator test.
    - remove broken test data.
    - fix string conversion into array of lines.
    - fix several path problems in tests.
    - fix tests temporary directory creation and cleanup.
    - fix 'Config' class conflict in tests.
    - adapt expected test results to recent Ruby.
    - set encoding for the tests run.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 05 Aug 2015 23:24:53 +0200

kwalify (0.7.2-3~exp1) experimental; urgency=low

  * Team upload.

  [ Marc Dequènes ]
  * Moved API documentation into section Programming/Ruby.

  [ Cédric Boutillier ]
  * debian/control:
    - remove obsolete DM-Upload-Allowed flag
    - use canonical URI in Vcs-* fields
  * debian/copyright:
    - use DEP5 copyright-format/1.0 official URL for Format field

  [ Sebastien Badia ]
  * Target experimental and build with ruby 2.2.
  * Bump Standards-Version to 3.9.6 (no further changes)
  * Update Vcs-Browser to cgit URL and HTTPS
  * Add ruby-test-unit to Build-Depends for ruby2.2

 -- Sebastien Badia <seb@sebian.fr>  Fri, 10 Apr 2015 12:40:30 +0200

kwalify (0.7.2-2) unstable; urgency=low

  * Switched to gem2deb packaging style.
  * Switched to the new git repository.
  * Converted copyright file to DEP5.
  * Improved description a bit.
  * Updated manpage (DocBook 5.0, syntax fixes…).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 17 Sep 2011 01:46:39 +0200

kwalify (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Increased Standards-Version to 3.9.0 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 31 Jul 2010 10:25:23 +0200

kwalify (0.7.1-2) unstable; urgency=low

  * Improved shebang handling.
  * Added VCS package info.
  * Added missing misc:Depends in control file.
  * Increased Standards-Version to 3.8.4 (no changes).
  * Fixed doc-base section (doc-base-uses-applications-section).
  * Switched to compat level 7.
  * Switched to dpkg-source 3.0 (quilt) format.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 19 Mar 2010 01:21:57 +0100

kwalify (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright information (licence change).
  * Fixed watch file (Closes: #453593).
  * Moved homepage information to new control field.
  * Increased Standards-Version (no changes).
  * Added patch to use the unversionned ruby interpreter in the shebang.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 13 Mar 2008 01:08:05 +0100

kwalify (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 01 Nov 2007 16:51:13 +0100

kwalify (0.6.0-2) unstable; urgency=low

  * Updated watch file.
  * Removed the Uploaders rule.
  * Switched compat level to 5.
  * Removed final blank line in doc-base to please lintian (which is
    wrongly considered as a starting new paragraph).
  * Created missing manpage.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 11 May 2007 01:35:08 +0200

kwalify (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Moved Build-Depends-Indep to Build-Depends (all packages needed for
    clean rule).
  * Increased Standards-Version to 3.7.2.0 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sun, 11 Jun 2006 01:15:50 +0200

kwalify (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Entering the Ruby Team project.
  * Now using the ruby CDBS class in ruby-pkg-tools and auto-generating
    the Uploaders field.
  * Added Homepage to package description.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue,  3 Jan 2006 23:24:03 +0100

kwalify (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 29 Oct 2005 13:54:22 +0200

kwalify (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 15 Oct 2005 01:02:02 +0200



=== debian/control ===
Source: kwalify
Section: ruby
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb,
               ruby-test-unit
Build-Depends-Indep: docbook-xsl-ns,
                     docbook5-xml,
                     xsltproc
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/ruby-team/kwalify.git
Vcs-Browser: https://salsa.debian.org/ruby-team/kwalify
Homepage: http://www.kuwata-lab.com/kwalify/
XS-Ruby-Versions: all

Package: kwalify
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby:any | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: doc-base
Multi-Arch: foreign
Description: parser, schema validator, and data-binding tool for YAML and JSON
 YAML and JSON are simple and nice format for structured data and
 easier for human to read and write than XML. But there have been
 no schema for YAML such as RelaxNG or DTD. Kwalify gets over this
 situation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

MANPAGES := debian/kwalify.1


%:
	dh $@ --buildsystem=ruby --with ruby

%.1: %.xml
	xsltproc --nonet -o $@ /usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl $<

override_dh_auto_build: $(MANPAGES)
	dh_auto_build

override_dh_auto_install: $(MANPAGES)
	dh_auto_install
	dh_installman -pkwalify $(MANPAGES)

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(MANPAGES)

=== debian/watch ===
version=4
https://gemwatch.debian.net/kwalify .*/kwalify-(.*).tar.gz
